Affichage des résultats 1 à 14 sur 14

Discussion: [BWP] 'This component overlaps'

  1. #1
    Date d'inscription
    décembre 2011
    Messages 
    54

    [BWP] 'This component overlaps'

    Bonjour,
    J'ai un doute avec BWP:
    Quand il est dit : 'This component overlaps with...' est-ce que ça veut dire qu'il vaut mieux éviter d'installer le composant similaire en question?

    Par exemple, j'aurais aimé installer Improved Kangaxx de BP (repris de Tactics) car il ajoute une demiliche, mais BWP indique : This component overlaps with SCS's "Spellcasting Demiliches" component
    Pourtant, il n'a pas ajouté : Only install one of them (comme indiqué généralement) - il autorise l'installation avec "[I]nstall"

    Y-aura t-il des problèmes si j'installe ces 2 composants (BP Improved Kangaxx + SCS Spellcasting Demiliches)?

  2. #2
    Avatar de Haplo74
    Haplo74 est déconnecté Clerc - Entropiste
    Date d'inscription
    avril 2012
    Localisation
    Paris
    Messages 
    1 737
    Si les readme te déconseillent d'installer les deux, et BWP te met en garde, tu devrais t'abstenir.
    Je n'ai pas connaissance que BP ajoutait une demi-liche. Pour moi il modifie Kangaax dans le même esprit que Stratagem.

    Le risque principal est que finalement le script ne fonctionne pas et que ton ennemi ne fasse rien (et compte tenu des mods installés, c'est tout le contraire et ce que tu souhaites n'est-ce pas ?).

    Haplo74
    Modérateur des sections "le bazar de l'aventurier", "la taverne de Château-Suif", "la taverne d'Amkethran" et "le comptoir d'Amn".

  3. #3
    Date d'inscription
    avril 2011
    Localisation
    Égaré dans un vortex entre Féérune et le Royaume de Diamant Éternel
    Messages 
    4 695
    Citation Envoyé par èné Voir le message
    Bonjour,
    J'ai un doute avec BWP:
    Quand il est dit : 'This component overlaps with...' est-ce que ça veut dire qu'il vaut mieux éviter d'installer le composant similaire en question?

    Par exemple, j'aurais aimé installer Improved Kangaxx de BP (repris de Tactics) car il ajoute une demiliche, mais BWP indique : This component overlaps with SCS's "Spellcasting Demiliches" component
    Pourtant, il n'a pas ajouté : Only install one of them (comme indiqué généralement) - il autorise l'installation avec "[I]nstall"

    Y-aura t-il des problèmes si j'installe ces 2 composants (BP Improved Kangaxx + SCS Spellcasting Demiliches)?
    Il faut lire les choses dans l'ordre et ne pas oublier de citer l'ensemble de la source.

    This is the improved version of the original Tactics component. This component is also included in Deeper Shadows of Amn. Only one can be installed. This component overlaps with the SCScomponent "Spellcasting Demiliches"
    Install signifie simplement que tu souhaites l'installer.
    Mais l'InstallPack a prévu ce conflit et t'enverra le message suivant si tu as coché les deux :

    Le composant 8020 (Les demi-liches lancent des sortilèges) de Stratagems n'a pas été installé car soit le composant 13 de Tactics (Amélioration de la Rencontre avec Kangaxx), soit le composant Improved Kangaxx Encounter de BP l'est déjà.
    CARPE DIEM...
    Co-modérateur de La Forge et de La Chambre des Scribes
    Moddeur qui s'arrache les cheveux...

  4. #4
    Date d'inscription
    décembre 2011
    Messages 
    54
    Merci à tous les 2

    Je n'ai pas connaissance que BP ajoutait une demi-liche. Pour moi il modifie Kangaax dans le même esprit que Stratagem.
    D'après ce que je comprend, BP reprend pas mal de mods TACTICS, (+ corrections/améliorations parfois)
    BP Improved Kangaxx:
    Another of Kensai Ryu's classics. This component greatly increases the difficulty of the Kangaxx encounter, including the dreaded demilich.
    Il le dit, c'est un fan de Kensai Ryu

    Tactics regroupe pas mal de mods de Kensai Ryu (et aussi Gebhard Blucher), intégrés pour la plupart dans Deeper Shadows of Amn (compil exclusivement 'Kensai Ryu'). Tactics semble avoir corrigé/adapté certaines choses par rapport à DSOA (mais je suis pas sûr): Tactics Improved Kangaxx regroupe par exemple les composants 'Archlich battle to free Kangaxx' et 'Improved Kangaxx AI' de DSOA.

    Il faut lire les choses dans l'ordre et ne pas oublier de citer l'ensemble de la source.
    J'essaierai de m'en souvenir

    Install signifie simplement que tu souhaites l'installer.
    Ça d'accord, mais lorsqu'il y a conflict avec un autre mod, BWP confirme avec '[N]ot Install' dans sa doc (ou alors j'ai rien compris). Mon doute est dans ce cas précis:
    - "[I]nstall" est inscrit
    - Il n'y a pas d'indiqué 'Only install one of them'
    - Connaissais pas Overlap avant.

    Si le script ne fonctionne pas, c'est un moindre mal (pas de crash), ceci dit, SCS indique dans sa doc l'expression overlap par rapport aux incompatibilités Tactics - j'avais pas fait attention
    Je crois que je vais donc zapper un des 2 - tant pis..

  5. #5
    Avatar de Haplo74
    Haplo74 est déconnecté Clerc - Entropiste
    Date d'inscription
    avril 2012
    Localisation
    Paris
    Messages 
    1 737
    Citation Envoyé par èné Voir le message
    Merci à tous les 2

    D'après ce que je comprend, BP reprend pas mal de mods TACTICS, (+ corrections/améliorations parfois)
    BP Improved Kangaxx: Il le dit, c'est un fan de Kensai Ryu

    Tactics regroupe pas mal de mods de Kensai Ryu (et aussi Gebhard Blucher), intégrés pour la plupart dans Deeper Shadows of Amn (compil exclusivement 'Kensai Ryu'). Tactics semble avoir corrigé/adapté certaines choses par rapport à DSOA (mais je suis pas sûr): Tactics Improved Kangaxx regroupe par exemple les composants 'Archlich battle to free Kangaxx' et 'Improved Kangaxx AI' de DSOA.
    Improved Kangaxx est incompatible avec Spellcasting demilich.
    Par contre Archlich battle to free Kangaxx est OK normalement avec le reste de Stratagem.

    Coïncidence, j'en étais justement à ce stade.
    J'ai fait la vidéo ce soir, la voici en exclu de ce qui t'attend pour ne serait-ce qu'accéder au sanctuaire de Kangaxx (c'est chaud, t'as intérêt d'être préparé):

    https://youtu.be/EpJElCSw0P4

    Haplo74
    Modérateur des sections "le bazar de l'aventurier", "la taverne de Château-Suif", "la taverne d'Amkethran" et "le comptoir d'Amn".

  6. #6
    Date d'inscription
    décembre 2011
    Messages 
    54
    Improved Kangaxx est incompatible avec Spellcasting demilich.
    Par contre Archlich battle to free Kangaxx est OK normalement avec le reste de Stratagem.
    Cette info m'intéresse! Ça m'embêtait de zapper Archilich (j'aurais pu y penser moi-même par contre ) Merci Haplo

    Pour l'instant, je fait une pose dans l'installation. J'en suis à la partie challenge (SCS et compagnie), et j'essaye de faire une synthèse. Il y a aussi des mods comme Polytweak et Atweaks que j'aimerais essayer, c'est un peu long à mettre en place..

    Je me souviens du combat; les liches de toute façon, c'est la plaie..

  7. #7
    Date d'inscription
    décembre 2011
    Messages 
    54
    Sinon, pour en revenir au terme 'overlap' (plus ou moins coïncide), le composant équivalent d'un mod prend le dessus sur l'autre, donc à priori, rien de méchant (il vaut mieux éviter quand c'est possible quand même).

    Ding0 Quespack Readme
    Quest Pack has been tested and confirmed compatible with the Big Picture and its associates. Quest Pack's AI and improved creatures may safely be installed alongside BP's. Where overlap arises, BP's changes will take precedence.

  8. #8
    Date d'inscription
    avril 2011
    Localisation
    Égaré dans un vortex entre Féérune et le Royaume de Diamant Éternel
    Messages 
    4 695
    Citation Envoyé par èné Voir le message
    Ça d'accord, mais lorsqu'il y a conflict avec un autre mod, BWP confirme avec '[N]ot Install' dans sa doc (ou alors j'ai rien compris). Mon doute est dans ce cas précis:
    - "[I]nstall" est inscrit
    - Il n'y a pas d'indiqué 'Only install one of them'
    - Connaissais pas Overlap avant.
    Dans ce contexte, "Overlap" = "chevaucher". En gros, les deux composants font soit la même chose (souvent de manière différente), soit modifient des comportements de manière totalement contradictoire. Dans la plupart des cas, il faut éviter d'installer les deux.

    Par ailleurs, je pense que tu fais une mauvaise interprétation du BWP : le pdf que tu consultes correspond à une installation de TOUS les mods la plus stable possible. Elle suppose d'utiliser le BWP Fixpack pour patcher les mods posant problème et l'Installpack pour effectuer l'installation des mods présents dans ton répertoire. C'est l'Installpack qui te dira que certains composants de Tactics ou BP et de Stratagems (s'ils sont présents dans ton répertoire de jeu) ne sont pas compatibles ou risquent de te poser problème, et te demandera donc de faire un choix.

    Pour mieux comprendre ses "Install" ou "Do not install", le mieux c'est de consulter à la fin du pdf le WeiDU.log qui correspond à l'installation réalisée pendant tout le pavé : Le guide du BWP correspond donc à la description de l'installation réalisée dans le WeiDU.log.

    Ceci dit, il permet aussi de mieux cerner les incompatibilités entre mods lorsqu'on réalise soi-même sa propre cuisine.


    J'avoue que j'ai renoncé à le traduire : même si le niveau d'anglais n'est pas très compliqué et que l'on doit pouvoir s'en sortir avec pas mal de copier-coller, ses 369 pages m'ont quelque peu rebuté et surtout je n'ai pas vraiment le temps nécessaire à y consacrer.
    Dernière modification par Freddy_Gwendo ; 06/05/2016 à 13h26.
    CARPE DIEM...
    Co-modérateur de La Forge et de La Chambre des Scribes
    Moddeur qui s'arrache les cheveux...

  9. #9
    Date d'inscription
    mars 2016
    Localisation
    Dans le Pays du Couteau Multifonction
    Messages 
    481
    Petite question vite fait sur BWP (un peu HS, mais j'avais pas envie de créer un topic pour ça et c'est vite fait).

    A partir de combien de mods (environ), cela vaut la peine de 'se casser la tête' avec BWP ?
    L'alcool ne résout pas les problèmes... Mais le lait et l'eau non plus.

  10. #10
    Date d'inscription
    avril 2011
    Localisation
    Égaré dans un vortex entre Féérune et le Royaume de Diamant Éternel
    Messages 
    4 695
    Si tu n'as pas de chance et que l'ami Murphy rôde dans les parages, 2 sont suffisants pour planter ton installation.

    Plus sérieusement, évite de cumuler les mods faisant la même chose (gestion de l'IA, modification des sorts ou objets vanilla...).
    Dans tous les cas, tu n'as rien à perdre à consulter le guide du BWP et à lire les pages dédiées aux mods que tu souhaites installer. S'il y a des redondances ou des incompatibilités, elles seront mentionnées. Couplée avec celle des readme, sa lecture devrait t'éviter bien des soucis.
    De plus, lance le BWP Fixpack avant d'installer quoi que ce soit : il corrigera automatiquement certains bugs en attente d'une mise à jour des mods concernés.
    CARPE DIEM...
    Co-modérateur de La Forge et de La Chambre des Scribes
    Moddeur qui s'arrache les cheveux...

  11. #11
    Date d'inscription
    mars 2016
    Localisation
    Dans le Pays du Couteau Multifonction
    Messages 
    481
    Justement, vu que je suis feignant et que, jusque là, je n'ai pas eu (trop) de problèmes avec mes installations, je voulais tâter le terrain en profitant de l'expérience des autres.

    Si BWP fait véritablement office de 'Mod Manager', ça vaut le coup. Si c'est juste un truc compliqué qui te mets une petite alerte pour te dire : ''We la y'aura ptet du couscous entre ces deux mods.'', ça ne vaut pas la peine pour moi.
    L'alcool ne résout pas les problèmes... Mais le lait et l'eau non plus.

  12. #12
    Date d'inscription
    décembre 2011
    Messages 
    54
    Elle suppose d'utiliser le BWP Fixpack pour patcher les mods posant problème et l'Installpack pour effectuer l'installation des mods présents dans ton répertoire. C'est l'Installpack qui te dira que certains composants de Tactics ou BP et de Stratagems
    ça tombe sous le sens maintenant que tu le dis... ('Install' - 'Not Install' mentionné par rapport à Installpack) - mais j'avais pas du tout fait le rapprochement..

    Improved Kangaxx est incompatible avec Spellcasting demilich.
    Par contre Archlich battle to free Kangaxx est OK normalement avec le reste de Stratagem.
    Il y a apparemment une erreur dans la doc, Archlich n'est pas présent dans l'installation de DSOA, c'est Kuroisan, the Acid Kensai qui y est (non mentionné dans la doc). Archlich pourrait être le composant Lich in the Docks (Tactics/BP) - mais là, je suis pas affirmatif. Je préfère zappe Improved Kangaxx pour le coup.

    Justement, vu que je suis feignant et que, jusque là, je n'ai pas eu (trop) de problèmes avec mes installations
    Ça veut pas dire que ton installation est clean, les composants Gameplay, IA, sorts, items se rejoignent dans pas mal de mods par exemple (là, le BWP peut t'aider). Si t'as l'intention de faire une grosse installation, pense à installer Big Picture; il combine les mods ensemble pour assurer une meilleure compatibilité. Et comme a dit Freddy, n'oublie pas le fixpack.

  13. #13
    Avatar de Haplo74
    Haplo74 est déconnecté Clerc - Entropiste
    Date d'inscription
    avril 2012
    Localisation
    Paris
    Messages 
    1 737
    Citation Envoyé par èné Voir le message
    ...
    Il y a apparemment une erreur dans la doc, Archlich n'est pas présent dans l'installation de DSOA, c'est Kuroisan, the Acid Kensai qui y est (non mentionné dans la doc).
    ...
    Bizarre. J'ai toujours vu Kuroisan indiqué dans les docs de Big Picture.

    https://youtu.be/rSfSUNnhqzg

    Citation Envoyé par èné Voir le message
    ...
    Archlich pourrait être le composant Lich in the Docks (Tactics/BP) - mais là, je suis pas affirmatif.
    ...
    Pas du tout.
    Ce composant est totalement distinct de Kangaxx et compagnie.
    Il rajoute dans un bâtiment attenant à la guilde des voleurs (celle de Renald Bloodscalp / Aran Linvail, pas celle de Mae'Var) une liche accompagnée de quatre combattants squelettes et un golem d'os.
    Tu dois entrer avec le groupe au complet, et tu ne peux sortir que lorsque les ennemis sont morts.
    La liche est blindée de protections, mais elle n'utilise pas de HLA (donc pas de planétaire déchu) et ne convoque pas de démons (mais en revanche elle se booste avec lames d'énergie, transformation de Tenser, hâte améliorée et vient te défoncer si tu n'es pas préparé) donc c'est jouable à niveau raisonnablement haut.
    La pièce est suffisamment grande pour manœuvrer.
    Tu récupères la cape de Baldurien et un parchemin d'arrêt du temps.

    https://youtu.be/LT9bOdVCbQ8

    Haplo74
    Modérateur des sections "le bazar de l'aventurier", "la taverne de Château-Suif", "la taverne d'Amkethran" et "le comptoir d'Amn".

  14. #14
    Date d'inscription
    décembre 2011
    Messages 
    54
    Tu n'y est pas.. Ce que je veux dire, c'est que la doc de Deeper Shadows of Amn mentionne Arcilich comme étant un de ses composants. Or, dans le Setup-DSoA.exe, Archilich n'y est pas. En revanche, on peut installer Kuroisan, qui pour le coup n'est pas mentionné dans la doc. Je ne parlais pas de Big Picture
    Pas du tout.
    Ce composant est totalement distinct de Kangaxx et compagnie.
    OK, c'est très clair, mais t'avouera que les 2 ne sont pas très loin l'une de l'autre Dans ma tête, Arcilich (ta 1ère vidéo), c'était le composant Lich in the Docks, mais maintenant que j'ai vu ta 2ème vidéo (maison abandonnée), cela me revient (mais ça m'a moins marqué sûrement). De toute façon avec tous ces mods, y'a des lyches planquées un peu partout..

    SCS commence à me courir quand même; j'ai pris les composant Spellcasting Demiliches et Improved fiends car ils regroupent chacun pas mal de créatures. Déjà je n'avais pas de Improved Kangaax, ni d'Arcilich (à cause de "l'overlap"), et puis j'ai vu ça tout à l'heure:
    [Improved fiends]?
    ...
    This component overlaps with Tactics's Improved Demon Knights component.
    This component overwrites Ascension 's "Tougher Demogorgon" respective/y BP's ”Improved Demogorgon"
    Je vais peut-être changé mes plans finalement, mais là, faudrait tout revoir ().

Discussions similaires

  1. [TUTU] Installation: Totsc is required - skipping component?
    Par Sith dans le forum Baldur's Gate Reloaded : les mods TUTU et Baldur's Gate Trilogy
    Réponses: 15
    Dernier message: 16/03/2009, 23h17

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •  

1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 144 145 146 147 148 149 150 151 152 153 154 155 156 157 158 159 160 161 162 163 164 165 166 167 168 169 170 171 172 173 174 175 176 177 178 179 180 181 182 183 184 185 186 187 188 189 190 191 192 193 194 195 196 197 198 199 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 243 244 245 246 247 248 249 250 251